> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Deploy Application > Deploys an application, making it active and running. ## OpenAPI ````yaml https://api-mc.opsbunny.net/docs/public/swagger.json post /apps/{appId}/deploy openapi: 3.0.4 info: title: Public API description: 'Public API endpoints for user consumption. Release version: v1.11.1.0' version: '1.0' servers: - url: https://api.bunny.net/mc security: - AccessKey: [] paths: /apps/{appId}/deploy: post: tags: - Applications summary: Deploy Application description: Deploys an application, making it active and running. operationId: DeployApplication parameters: - name: appId in: path required: true schema: type: string responses: '200': description: Application was successfully deployed. '401': description: User is unauthorized. content: application/json: schema: $ref: '#/components/schemas/ProblemDetails' '404': description: Application is not found. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' '409': description: >- Application is suspended, has no containers, or has a container without an image. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' '500': description: Unexpected server error. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' components: schemas: ProblemDetails: type: object properties: type: type: string nullable: true title: type: string nullable: true status: type: integer format: int32 nullable: true detail: type: string nullable: true instance: type: string nullable: true additionalProperties: {} ErrorDetails: type: object properties: title: type: string description: A short, human-readable summary of the problem type. readOnly: true status: type: integer description: The HTTP status code. format: int32 readOnly: true detail: type: string description: >- A human-readable explanation specific to this occurrence of the problem. nullable: true readOnly: true instance: type: string description: >- A URI reference that identifies the specific occurrence of the problem. nullable: true readOnly: true errors: type: array items: $ref: '#/components/schemas/ValidationError' description: Additional validation errors for field-specific issues. nullable: true readOnly: true id: type: string description: >- The application ID, returned as an RFC 7807 extension field when relevant (e.g. partial save errors). Matches the "id" field from successful create response for consistency. nullable: true readOnly: true additionalProperties: false description: RFC 7807 Problem Details response model. ValidationError: required: - message type: object properties: field: type: string nullable: true message: type: string additionalProperties: false securitySchemes: AccessKey: type: apiKey description: Please enter a valid personal API key. name: AccessKey in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.